using Microsoft.VisualStudio.TestTools.UnitTesting;
using DotNettyFrom.generatecmd;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DotNettyFrom.db;
using DotNettyFrom.config;

namespace DotNettyFrom.generatecmd.Tests
{
    [TestClass()]
    public class DtuCmdGenetorTests
    {
        [TestMethod()]
        public void GetReplyCmdTest()
        {

            DbHelper.Init(@"D:\CSharp\DotNettyFrom\DotNettyFrom\bin\Debug\DotNettyFrom.accdb");
            ConfigChange.ChangeDevice(SystemConfig.Dtu);

            DtuCmdGenetor dtuCmd = new DtuCmdGenetor();
            //dtuCmd.GetReplyCmd("7e7e7e000000000001100005010101031006");
            dtuCmd.GetReplyCmd("7e7e7e00000000000120000801010103100101f4cf");
        }
    }
}